Eclipse und Suns JRE 1.5 Installieren:

aptitude install sun-java5-jre
aptitude install eclipse eclipse-pde-nls eclipse-common-nls

/etc/eclipse/java_home bearbeiten und sicherstellen das dort als erste Pfadangabe folgende steht:

/usr/lib/jvm/java-1.5.0-sun

Dann einfach in Eclipse mit folgenden URLs die Plugins installieren:

http://subclipse.tigris.org/update_1.2.x/
http://update.aptana.com/install/3.2/
http://update.aptana.com/install/rails/3.2/